#ifndef ADMINMAINWINDOW_H
#define ADMINMAINWINDOW_H

#include <QMainWindow>
#include"connectdb.h"
#include "lindun.h"


namespace Ui {
class AdminMainWindow;
}

class AdminMainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit AdminMainWindow(QWidget *parent = 0);
    ~AdminMainWindow();

private slots:

    void on_listView_clicked(const QModelIndex &index);

    void on_reconnect_triggered();

    void on_submitButton_clicked();

    void run_sql_query(const QString& p_query_text);

    void on_Lindun_triggered();


private:
    Ui::AdminMainWindow *ui;
    QSqlDatabase m_db;
    QSqlTableModel    *m_table_model       ;
    QSqlQuery         *m_query             ;

    void tables_list_update();

    lindun *okno;


};

#endif // ADMINMAINWINDOW_H
