#ifndef CLIENTMAINWINDOW_H
#define CLIENTMAINWINDOW_H

#include <QMainWindow>
#include "connectdb.h"
#include "basket.h"

namespace Ui {
class ClientMainWindow;
}

class ClientMainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit ClientMainWindow(QWidget *parent = 0);
    ~ClientMainWindow();
    void setName(const std::string& newName);

private slots:

    void on_choice_clicked();

    void on_pushButton_clicked();

    void update_tableView(const QModelIndex &index);

    void update_tableView2(const QModelIndex &index);

    void on_buttonSessionWindow_clicked();

private:
    Ui::ClientMainWindow *ui;
    std::string Name;

    QSqlDatabase m_db;
    QSqlTableModel    *m_table_model       ;
    QSqlQuery         *m_query             ;
    basket *b;

    void tableView();
    void tableView_2( int filmId);
    void tableActors( int filmId);


};

#endif // CLIENTMAINWINDOW_H
